PDA

View Full Version : Can't install!


jtcates
01-30-2009, 01:44 PM
Trying to install on iMac with OS 10.3.9. Instructions say to drag to applications folder (done) then click to launch, and nothing happens. There is no "register" at the top of the screen next to apple menu. What's wrong?

dnanian
01-30-2009, 01:47 PM
You're trying to install the wrong version of SuperDuper. OS X 10.3.9 requires v2.1.4, which you'll find in the sidebar of the SuperDuper! page of the site. (Look near "System Requirements".)